(function($){

  Drupal.behaviors.chosen_element = {
    attach: function (context, settings) {
      // Turn all chosen elements into a chosen select.
      $('.chosen-element', context).each(function() {
        var $this = $(this),
          id = $this.attr('id'),
          settings = {};

        // If there are settings in the Drupal variable.
        if (Drupal.settings.chosen_element.hasOwnProperty(id)) {
          settings = Drupal.settings.chosen_element[id];
        }

        if (settings.ajax !== undefined && settings.ajax.url !== undefined) {
          $this.ajaxChosen(settings.ajax, {}, settings.options);
        }
        else {
          $this.chosen(settings.options);
        }
      });
    }
  };

})(jQuery);
